/*
**  direct.h            ANSI C++, ANSI C, and K&R Runtime Library
**
**  Copyright (C)       Microway, Inc. 1987 - 1994.
**                      P.O. BOX 79
**                      Kingston, MA. 02364
**                      (508) 746 - 7341 Voice
**                      (508) 746 - 4678 FAX
**                      e-mail uunet!microway!mark
**                             mark@microway.com
**
**  This program is the property of Microway, Inc, its contents are
**  proprietary information and no part of it is to be disclosed to anyone
**  except employees of Microway, Inc., or as agreed in writing by the
**  President of Microway, Inc.
*/

#ifndef _DIRECT_H
#define _DIRECT_H

#if defined(__STDC__) || defined(__NDPX__)

#ifdef __NDPX__                 /* C++ */
   extern "C" {
#endif


int       chdir(const char *_Path);
char *    getcwd(char *_Path, int _N);
char *   _getdcwd(int _Drive, char *_Path, int _N);
int       mkdir(const char *_Path);
int       rmdir(const char *_Path);


#ifdef __NDPX__         /* C++ */
   }
#endif

#else /* K&R */

int       chdir();
char *    getcwd();
char *   _getdcwd();
int       mkdir();
int       rmdir();

#endif /* __STDC__ || __NDPX__ */

#endif /* _DIRECT_H */
